ParserConstants (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.ParserConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Interface ParserConstants

public interface ParserConstants

Field Summary
`static int` | `ALPHA_CHAR`
`static int` | `ALPHANUM_CHAR`
`static int` | `COMMA`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DIRECTIVE`
`static int` | `DIRECTIVE_CHAR`
`static int` | `DIRECTIVE_TERMINATOR`
`static int` | `DIVIDE`
`static int` | `DOLLAR`
`static int` | `DOLLARBANG`
`static int` | `DOT`
`static int` | `DOUBLE_ESCAPE`
`static int` | `DOUBLEDOT`
`static int` | `ELSE_DIRECTIVE`
`static int` | `ELSEIF_DIRECTIVE`
`static int` | `END`
`static int` | `EOF`
`static int` | `EQUALS`
`static int` | `ESCAPE`
`static int` | `ESCAPE_DIRECTIVE`
`static int` | `FALSE`
`static int` | `FORMAL_COMMENT`
`static int` | `HASH`
`static int` | `IDENTIFIER`
`static int` | `IDENTIFIER_CHAR`
`static int` | `IF_DIRECTIVE`
`static int` | `IN_FORMAL_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `LBRACKET`
`static int` | `LCURLY`
`static int` | `LETTER`
`static int` | `LOGICAL_AND`
`static int` | `LOGICAL_EQUALS`
`static int` | `LOGICAL_GE`
`static int` | `LOGICAL_GT`
`static int` | `LOGICAL_LE`
`static int` | `LOGICAL_LT`
`static int` | `LOGICAL_NOT`
`static int` | `LOGICAL_NOT_EQUALS`
`static int` | `LOGICAL_OR`
`static int` | `LPAREN`
`static int` | `MINUS`
`static int` | `MODULUS`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `MULTIPLY`
`static int` | `NEWLINE`
`static int` | `NUMBER_LITERAL`
`static int` | `PLUS`
`static int` | `PRE_DIRECTIVE`
`static int` | `RBRACKET`
`static int` | `RCURLY`
`static int` | `REFERENCE`
`static int` | `REFERENCE_TERMINATOR`
`static int` | `REFMOD2`
`static int` | `REFMOD2_RPAREN`
`static int` | `REFMODIFIER`
`static int` | `RPAREN`
`static int` | `SET_DIRECTIVE`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `STOP_DIRECTIVE`
`static int` | `STRING_LITERAL`
`static int` | `TEXT`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRUE`
`static int` | `WHITESPACE`
`static int` | `WORD`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### LBRACKET

    public static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    public static final int RBRACKET

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### DOUBLEDOT

    public static final int DOUBLEDOT

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### REFMOD2_RPAREN

    public static final int REFMOD2_RPAREN

See Also:
  Constant Field Values

### ESCAPE_DIRECTIVE

    public static final int ESCAPE_DIRECTIVE

See Also:
  Constant Field Values

### SET_DIRECTIVE

    public static final int SET_DIRECTIVE

See Also:
  Constant Field Values

### DOLLAR

    public static final int DOLLAR

See Also:
  Constant Field Values

### DOLLARBANG

    public static final int DOLLARBANG

See Also:
  Constant Field Values

### HASH

    public static final int HASH

See Also:
  Constant Field Values

### DOUBLE_ESCAPE

    public static final int DOUBLE_ESCAPE

See Also:
  Constant Field Values

### ESCAPE

    public static final int ESCAPE

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### WHITESPACE

    public static final int WHITESPACE

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### NEWLINE

    public static final int NEWLINE

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### MULTIPLY

    public static final int MULTIPLY

See Also:
  Constant Field Values

### DIVIDE

    public static final int DIVIDE

See Also:
  Constant Field Values

### MODULUS

    public static final int MODULUS

See Also:
  Constant Field Values

### LOGICAL_AND

    public static final int LOGICAL_AND

See Also:
  Constant Field Values

### LOGICAL_OR

    public static final int LOGICAL_OR

See Also:
  Constant Field Values

### LOGICAL_LT

    public static final int LOGICAL_LT

See Also:
  Constant Field Values

### LOGICAL_LE

    public static final int LOGICAL_LE

See Also:
  Constant Field Values

### LOGICAL_GT

    public static final int LOGICAL_GT

See Also:
  Constant Field Values

### LOGICAL_GE

    public static final int LOGICAL_GE

See Also:
  Constant Field Values

### LOGICAL_EQUALS

    public static final int LOGICAL_EQUALS

See Also:
  Constant Field Values

### LOGICAL_NOT_EQUALS

    public static final int LOGICAL_NOT_EQUALS

See Also:
  Constant Field Values

### LOGICAL_NOT

    public static final int LOGICAL_NOT

See Also:
  Constant Field Values

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### END

    public static final int END

See Also:
  Constant Field Values

### IF_DIRECTIVE

    public static final int IF_DIRECTIVE

See Also:
  Constant Field Values

### ELSEIF_DIRECTIVE

    public static final int ELSEIF_DIRECTIVE

See Also:
  Constant Field Values

### ELSE_DIRECTIVE

    public static final int ELSE_DIRECTIVE

See Also:
  Constant Field Values

### STOP_DIRECTIVE

    public static final int STOP_DIRECTIVE

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### NUMBER_LITERAL

    public static final int NUMBER_LITERAL

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### DIRECTIVE_CHAR

    public static final int DIRECTIVE_CHAR

See Also:
  Constant Field Values

### WORD

    public static final int WORD

See Also:
  Constant Field Values

### ALPHA_CHAR

    public static final int ALPHA_CHAR

See Also:
  Constant Field Values

### ALPHANUM_CHAR

    public static final int ALPHANUM_CHAR

See Also:
  Constant Field Values

### IDENTIFIER_CHAR

    public static final int IDENTIFIER_CHAR

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### LCURLY

    public static final int LCURLY

See Also:
  Constant Field Values

### RCURLY

    public static final int RCURLY

See Also:
  Constant Field Values

### REFERENCE_TERMINATOR

    public static final int REFERENCE_TERMINATOR

See Also:
  Constant Field Values

### DIRECTIVE_TERMINATOR

    public static final int DIRECTIVE_TERMINATOR

See Also:
  Constant Field Values

### DIRECTIVE

    public static final int DIRECTIVE

See Also:
  Constant Field Values

### REFMOD2

    public static final int REFMOD2

See Also:
  Constant Field Values

### REFMODIFIER

    public static final int REFMODIFIER

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### PRE_DIRECTIVE

    public static final int PRE_DIRECTIVE

See Also:
  Constant Field Values

### REFERENCE

    public static final int REFERENCE

See Also:
  Constant Field Values

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### IN_FORMAL_COMMENT

    public static final int IN_FORMAL_COMMENT

See Also:
  Constant Field Values

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.